| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RPCEntity Class Referenceabstract

Abstract base class for all RPC Objects. More...

`#include <RPCEntity.hpp>`

Inheritance diagram for RPCEntity:
[legend]

## Public Member Functions

virtual ReturnCode_t | enable ()=0
| Enables the entity.
virtual ReturnCode_t | close ()=0
| Disables the entity.
virtual bool | is_enabled () const =0
| Check if the entity is enabled.

## Protected Member Functions

| ~RPCEntity ()=default
| Destructor.

## Detailed Description

Abstract base class for all RPC Objects.

## Constructor & Destructor Documentation

## ◆ ~RPCEntity()

~RPCEntity | ( |  | ) |

protected default

Destructor.

## Member Function Documentation

## ◆ close()

virtual ReturnCode_t close | ( |  | ) |

pure virtual

Disables the entity.

## ◆ enable()

virtual ReturnCode_t enable | ( |  | ) |

pure virtual

Enables the entity.

## ◆ is_enabled()

virtual bool is_enabled | ( |  | ) | const

pure virtual

Check if the entity is enabled.

The documentation for this class was generated from the following file:

- include/fastdds/dds/rpc/RPCEntity.hpp